Bug 172109 - RHEL4: xemacs compilation problem: looking in /usr/X11R6/lib instead of /usr/X11R6/lib64
RHEL4: xemacs compilation problem: looking in /usr/X11R6/lib instead of /usr/...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xemacs (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 11:08 EST by Patrice Guay
Modified: 2015-01-07 19:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 05:09:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch (596 bytes, patch)
2008-04-29 13:03 EDT, Stepan Kasal
no flags Details | Diff

  None (edit)
Description Patrice Guay 2005-10-31 11:08:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; fr-FR; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
When compiling xemacs on the x86_64 architecture, compilation fails with this message:
configure: error: Unable to find X11 libraries.

This is simply due to the fact that the compiler is looking in /usr/X11R6/lib instead of /usr/X11R6/lib64.

Version-Release number of selected component (if applicable):
xemacs-21.4.15-10.EL.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh http://updates.redhat.com/enterprise/4AS/en/os/SRPMS/xemacs-21.4.15-10.EL.1.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpmbuild -ba xemacs.spec
  

Actual Results:  Compilation aborts with the following message:
[..­.]
checking for X defines extracted by xmkmf
checking for X11/Intrinsic.h... yes
checking for XOpenDisplay in -lX11... no
checking for XGetFontProperty in -lX11 using extra libs -b i486-linuxaout... no
configure: error: Unable to find X11 libraries.


Expected Results:  Compilation should have completed without any error.

Additional info:

Those steps prevent the compilation failure:
1. cd /usr/X11R6
2. mv lib lib32
3. ln -s lib64 lib
4. --> Compilation
5. rm lib; mv lib32 lib
Comment 1 Jens Petersen 2005-11-01 02:40:16 EST
Hmm, that is strange specially since xemacs-21.4.15-10.EL.1 obviously built
ok on x86_64 when it was released.

Which release of RHEL 4 are you using?
Comment 2 Jens Petersen 2005-11-01 03:08:55 EST
Nevermind, reproduced: builds fine on FC4 but not RHEL4 U2 at least it seems.
Comment 3 Jens Petersen 2005-11-01 03:49:58 EST
A workaround seems to be to build without xorg-x11-devel.i386 installed.
Comment 4 RHEL Product and Program Management 2007-06-09 09:26:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Marcela Mašláňová 2007-07-03 10:33:19 EDT
Does the problem still occur? 

There was no activity for years. I propose to close it for insufficient data.
Comment 6 RHEL Product and Program Management 2007-09-07 15:47:03 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 8 Stepan Kasal 2008-04-29 13:03:57 EDT
Created attachment 304143 [details]
spec patch

The path can be specified as a configure option.
Comment 9 Stepan Kasal 2008-04-29 14:37:51 EDT
The bug does not hit on pure 64bit installations, only on multilib instalations.
Thats why we have not observed any problems on out build systems.

More details:
if you have 32bit static X11 library installed (/usr/X11R6/lib/libX11.a, from
package xorg-x11-devel.i386), then the configure script wrongly defaults
--x-libraries to /usr/X11R6/lib .

<rant>
Even more details:
The sript contains code which correctly determines the right path for X
libraries, using the info provided by X installation; that code comes from
Autoconf, from macro AC_PATH_XTRA.
But xemacs-21.4.15/configure.in inserts a heuristics _before_ the Autoconf: if
/usr/{X11/lib,X11R6/lib,lib/X11R6}/libX11.a is found, then _that_ is the right
directory.  And this heuristics is betraying us in this case.
</rant>
Comment 16 Daniel Novotny 2008-11-13 11:32:10 EST
fixed in xemacs-21.4.15-14.EL4
Comment 20 errata-xmlrpc 2009-01-28 05:09:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0031.html

Note You need to log in before you can comment on or make changes to this bug.